## Class scoped_flag

boost::log::sinks::asynchronous_sink::scoped_flag — A scope guard that resets a flag on destructor.

## Synopsis

    // In header: <boost/log/sinks/async_frontend.hpp>

    // A scope guard that resets a flag on destructor.

    class scoped_flag {
    public:

      // public member functions
      explicit scoped_flag(frontend_mutex_type &, std::condition_variable_any &,
                           boost::atomic< bool > &);
      ~scoped_flag();
      scoped_flag(scoped_flag const &) = delete;
      scoped_flag & operator=(scoped_flag const &) = delete;
    };

## Description

### `scoped_flag` public member functions

1.     explicit scoped_flag(frontend_mutex_type & mut,
                            std::condition_variable_any & cond,
                            boost::atomic< bool > & f);

2.     ~scoped_flag();

3.     scoped_flag(scoped_flag const &) = delete;

4.     scoped_flag & operator=(scoped_flag const &) = delete;